function IQ_AUTH_OnlyNum(id) {
	var val = jQuery('#'+id).val();
	var val_new = val.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');
	jQuery('#'+id).val(val_new);
}
function IQ_AUTH_PreviewImage(id, input, next) {
	next = next === undefined ? false : next;
	var ext = input.files[0]['name'].substring(input.files[0]['name'].lastIndexOf('.') + 1).toLowerCase();
	if (input.files && input.files[0] && (ext == "png" || ext == "jpeg" || ext == "jpg" || ext == "webp" || ext == "svg")) {
		var reader = new FileReader();
		reader.onload = function (e) {
			jQuery('#'+id).attr('src', e.target.result);
			if(next) {
				jQuery('#'+next).attr('src', e.target.result);
			}
		}
		reader.readAsDataURL(input.files[0]);
	}
}
function IQ_AUTH_Loader(v) {
    v = v === undefined ? 1 : v;
	const block = 'loader_block';
	if(!document.getElementById(block)) {
		const el = document.body;
		el.insertAdjacentHTML('afterEnd', '<div id="loader_block"></div>');
	}
	if(v) {
		jQuery('#'+block).html('<div class="lds-roller"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>');
		jQuery(document.body).css('opacity', 0.5);
		jQuery(document.body).addClass('disabled');
	} else {
		jQuery('#'+block).text('');
		jQuery(document.body).css('opacity', 1);
		jQuery(document.body).removeClass('disabled');
	}
}

function IQ_AUTH_NoticeStrErr(block_out, type, msg) {
	if(!document.getElementById(block_out)) {
		return false;
	}
	if(!msg) {
		jQuery('#'+block_out).text('');
		return false;
	}
	
	let str = '';
	switch(type) {
		case 'err': {
			str = '<div class="iq_auth_alert_block iq_auth_err">'+msg+'</div>';
			break;
		}
		case 'success': {
			str = '<div class="iq_auth_alert_block iq_auth_ok">'+msg+'</div>';
			break;
		}
		case 'info': {
			str = '<div class="iq_auth_alert_block iq_auth_info">'+msg+'</div>';
			break;
		}
	}
	if(!str) {
		return false;
	}
	jQuery('#'+block_out).html(str);
}

function IQ_AUTH_UserEdit(itemid) {
	if(itemid <= 0) {
		return false;
	}
	
	IQ_AUTH_Loader(1);
	jQuery.ajax({
		type: "POST",
		url: iq_auth_unique.ajax_url,
		data:{'action':'admin_iq_auth_UserEdit',
		'ItemID':itemid},
		success: function(data) {
			IQ_AUTH_Loader(0);
			
			let phtml = jQuery.parseHTML( data );
			let result = jQuery(phtml).filter("#pop").length;
			if(result) {
				if(!document.getElementById('modal')) {
					jQuery(document.body).append('<div id="modal"></div>');
				}
				
				jQuery('#modal').html(data);
				setTimeout(function(){
					jQuery('#pop_modal').addClass('pop_show');
					PopOutClose();
				}, 100);
				return true;
			}
			IQ_AUTH_NoticeStrErr('notice_block', 'err', data);
		}
	});
}

function IQ_AUTH_UserEditDo(item) {
	item = item === undefined ? 0 : item;
	
	const pretag = 'pop_';
	const pop = 1;
	
	const block_form = pretag+'form_data_add';
	const block_options = pretag+'block_options';
	const block_notice = pretag+'notice_block_add';
	if(!document.getElementById(block_form)) {
		return;
	}
	
	if(!document.getElementById(pretag+'json_data') ||
	!document.getElementById(pretag+'sign_data')) {
		return;
	}
	const json_data = jQuery('#'+pretag+'json_data').val();
	const sign_data = jQuery('#'+pretag+'sign_data').val();
	
	let data = new FormData();
	data.append('action', 'admin_iq_auth_UserEditDo');
	
	data.append('JsonData', json_data);
	data.append('SignData', sign_data);
	
	let FormValues = [];
	let OptionValues = [];
	let value;
	jQuery('#'+block_form).find('select, input, textarea').each(function(){
		FormValues.push(this.id);
		if(jQuery(this).attr('type') == 'checkbox') {
			value = jQuery(this).is(':checked');
		} else {
			value = jQuery(this).val();
		}
		data.append( this.id, value );
	});
	data.append('Values', FormValues);
	data.append('Pop', pop);
	
	IQ_AUTH_Loader(true);
	let ajax = new XMLHttpRequest();
	ajax.onload = ajax.onerror = function() {
		IQ_AUTH_Loader(false);
		if(!document.getElementById(block_form)) {
			return;
		}
		
		const phtml = jQuery.parseHTML( this.responseText );
		if(this.status == 200) {
			let result = jQuery(phtml).filter("#success").length;
			if(result) {
				// success
				if(item) {
					IQ_AUTH_UserReload(item);
				} else {
					location.reload();
				}
				PopClose();
				return true;
			}
		}
		IQ_AUTH_NoticeStrErr(block_notice, 'err', this.responseText);
	}
	ajax.open("POST", iq_auth_unique.ajax_url, true);
	ajax.send(data);
}

function IQ_AUTH_UserReload(item) {
	if(item <= 0) {
		return false;
	}
	
	const block = 'uid_block_'+item;
	if(!document.getElementById(block)) {
		return false;
	}
	jQuery('#'+block).css('opacity', 0.5);
	
	jQuery.ajax({
		type: "POST",
		url: iq_auth_unique.ajax_url,
		data:{'action':'admin_iq_auth_UserReload',
		'ItemID':item},
		success: function(data) {
			if(!document.getElementById(block)) {
				return false;
			}
			
			if(data) {
				const el_temp = document.getElementById(block);
				el_temp.insertAdjacentHTML('afterEnd', data);
				el_temp.remove();
			}
		}
	});
}