function IQ_AUTH_NoticeStrErr(block_out, type, msg) {
	if(!document.getElementById(block_out)) {
		return false;
	}
	if(!msg) {
		jQuery('#'+block_out).text('');
		return false;
	}
	
	let str = '';
	switch(type) {
		case 'err': {
			str = '<div class="iq_auth_alert_block iq_auth_err">'+msg+'</div>';
			break;
		}
		case 'success': {
			str = '<div class="iq_auth_alert_block iq_auth_ok">'+msg+'</div>';
			break;
		}
		case 'info': {
			str = '<div class="iq_auth_alert_block iq_auth_info">'+msg+'</div>';
			break;
		}
	}
	if(!str) {
		return false;
	}
	jQuery('#'+block_out).html(str);
}

function IQ_AUTH_Loader(v) {
    v = v === undefined ? 1 : v;
	const block = 'loader_block';
	if(!document.getElementById(block)) {
		const el = document.body;
		el.insertAdjacentHTML('afterEnd', '<div id="loader_block"></div>');
	}
	if(v) {
		jQuery('#'+block).html('<div class="lds-roller"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>');
		jQuery(document.body).css('opacity', 0.5);
		jQuery(document.body).addClass('disabled');
	} else {
		jQuery('#'+block).text('');
		jQuery(document.body).css('opacity', 1);
		jQuery(document.body).removeClass('disabled');
	}
}

function IQ_AUTH_LoginDo(pop) {
	pop = pop === undefined ? 0 : pop;
	let pretag = '';
	if(pop) {
		pretag = 'pop_';
	}
	const block_form = pretag+'form_iq_login';
	const block_out = pretag+'form_notice';
	const block_captcha = pretag+'form_captcha';
	if(!document.getElementById(block_form)) {
		return false;
	}
	
	let data = new FormData();
	data.append('action', 'web_iq_auth_LoginDo');
	
	let FormValues = [];
	let value;
	jQuery('#'+block_form).find('select, input, textarea').each(function(){
		FormValues.push(this.id);
		if(jQuery(this).attr('type') == 'checkbox') {
			value = jQuery(this).is(':checked');
		} else {
			value = jQuery(this).val();
		}
		data.append( this.id, value );
	});
	data.append('Values', FormValues);
	data.append('Pop', pop);
	
	IQ_AUTH_Loader(true);
	jQuery('#'+block_captcha).text('');
	jQuery('#'+block_out).text('');
	const ajax = new XMLHttpRequest();
	ajax.onload = ajax.onerror = function() {
		IQ_AUTH_Loader(false);
		if(!document.getElementById(block_form)) {
			return;
		}
		const phtml = jQuery.parseHTML( this.responseText );
		if(this.status == 200) {
			let result = jQuery(phtml).filter("#success").length;
			if(result) {
				IQ_AUTH_NoticeStrErr(block_out, 'success', this.responseText);
				
				if(document.getElementById('temp_redirect_url')) {
					const redirect_url = jQuery('#temp_redirect_url').val();
					window.location.href = redirect_url;
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#auth_already").length;
			if(result) {
				IQ_AUTH_NoticeStrErr(block_out, 'success', this.responseText);
				
				if(document.getElementById('temp_redirect_url')) {
					const redirect_url = jQuery('#temp_redirect_url').val();
					window.location.href = redirect_url;
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#captcha_block").length;
			if(result) {
				jQuery('#'+block_out).text('');
				jQuery('#'+block_captcha).html(this.responseText);
				return true;
			}
		}
		IQ_AUTH_NoticeStrErr(block_out, 'err', this.responseText);
	}
	ajax.open("POST", iq_auth_front_unique.ajax_url, true);
	ajax.send(data);
}

function IQ_AUTH_RegistDo(pop) {
	pop = pop === undefined ? 0 : pop;
	let pretag = '';
	if(pop) {
		pretag = 'pop_';
	}
	const block_form = pretag+'form_iq_regist';
	const block_out = pretag+'form_notice';
	const block_captcha = pretag+'form_captcha';
	const block_code = pretag+'iq_code';
	if(!document.getElementById(block_form)) {
		return false;
	}
	
	let data = new FormData();
	data.append('action', 'web_iq_auth_RegistDo');
	
	let FormValues = [];
	let value;
	jQuery('#'+block_form).find('select, input, textarea').each(function(){
		FormValues.push(this.id);
		if(jQuery(this).attr('type') == 'checkbox') {
			value = jQuery(this).is(':checked');
		} else {
			value = jQuery(this).val();
		}
		data.append( this.id, value );
	});
	data.append('Values', FormValues);
	data.append('Pop', pop);
	
	IQ_AUTH_Loader(true);
	jQuery('#'+block_captcha).text('');
	const ajax = new XMLHttpRequest();
	ajax.onload = ajax.onerror = function() {
		IQ_AUTH_Loader(false);
		if(!document.getElementById(block_form)) {
			return;
		}
		const phtml = jQuery.parseHTML( this.responseText );
		if(this.status == 200) {
			let result = jQuery(phtml).filter("#success").length;
			if(result) {
				IQ_AUTH_NoticeStrErr(block_out, 'success', this.responseText);
				
				if(document.getElementById('temp_redirect_url')) {
					const redirect_url = jQuery('#temp_redirect_url').val();
					window.location.href = redirect_url;
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#auth_already").length;
			if(result) {
				IQ_AUTH_NoticeStrErr(block_out, 'success', this.responseText);
				
				if(document.getElementById('temp_redirect_url')) {
					const redirect_url = jQuery('#temp_redirect_url').val();
					window.location.href = redirect_url;
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#confirm_block").length;
			if(result) {
				jQuery('#'+block_out).html(this.responseText);
				IQ_AUTH_focusL(block_code);
				return true;
			}
			
			result = jQuery(phtml).filter("#captcha_block").length;
			if(result) {
				jQuery('#'+block_out).text('');
				jQuery('#'+block_captcha).html(this.responseText);
				IQ_AUTH_focusL(block_code);
				return true;
			}
		}
		IQ_AUTH_NoticeStrErr(block_out, 'err', this.responseText);
	}
	ajax.open("POST", iq_auth_front_unique.ajax_url, true);
	ajax.send(data);
}

function IQ_AUTH_RegistPage() {
	if(!document.getElementById('iq_auth_regist_page')) {
		return false;
	}
	const iq_auth_regist_page = jQuery('#iq_auth_regist_page').val();
	IQ_AUTH_UpdateURL('/'+iq_auth_regist_page);
	const block = 'content';
	if(!document.getElementById(block)) {
		location.reload();
		return false;
	}
	
	IQ_AUTH_Loader(1);
	jQuery.ajax({
		type: "POST",
		url: iq_auth_front_unique.ajax_url,
		data:{'action':'web_iq_auth_RegistPage'},
		success: function(data) {
			IQ_AUTH_Loader(0);
			if(!document.getElementById(block)) {
				return false;
			}
			jQuery('#'+block).html(data);
			IQ_AUTH_UpdateHeaders();
			IQ_AUTH_CustomFieldsLoad();
		}
	});
}

function IQ_AUTH_LostPage() {
	if(!document.getElementById('iq_auth_lost_page')) {
		return false;
	}
	const iq_auth_lost_page = jQuery('#iq_auth_lost_page').val();
	IQ_AUTH_UpdateURL('/'+iq_auth_lost_page);
	const block = 'content';
	if(!document.getElementById(block)) {
		location.reload();
		return false;
	}
	
	IQ_AUTH_Loader(1);
	jQuery.ajax({
		type: "POST",
		url: iq_auth_front_unique.ajax_url,
		data:{'action':'web_iq_auth_LostPage'},
		success: function(data) {
			IQ_AUTH_Loader(0);
			if(!document.getElementById(block)) {
				return false;
			}
			jQuery('#'+block).html(data);
			IQ_AUTH_UpdateHeaders();
		}
	});
}

function IQ_AUTH_LostDo(pop) {
	pop = pop === undefined ? 0 : pop;
	let pretag = '';
	if(pop) {
		pretag = 'pop_';
	}
	const block_form = pretag+'form_iq_lost';
	const block_out = pretag+'form_notice';
	const block_captcha = pretag+'form_captcha';
	const block_code = pretag+'iq_code';
	if(!document.getElementById(block_form)) {
		return false;
	}
	
	let data = new FormData();
	data.append('action', 'web_iq_auth_LostDo');
	
	let FormValues = [];
	let value;
	jQuery('#'+block_form).find('select, input, textarea').each(function(){
		FormValues.push(this.id);
		if(jQuery(this).attr('type') == 'checkbox') {
			value = jQuery(this).is(':checked');
		} else {
			value = jQuery(this).val();
		}
		data.append( this.id, value );
	});
	data.append('Values', FormValues);
	data.append('Pop', pop);
	
	IQ_AUTH_Loader(true);
	jQuery('#'+block_captcha).text('');
	const ajax = new XMLHttpRequest();
	ajax.onload = ajax.onerror = function() {
		IQ_AUTH_Loader(false);
		if(!document.getElementById(block_form)) {
			return;
		}
		const phtml = jQuery.parseHTML( this.responseText );
		if(this.status == 200) {
			let result = jQuery(phtml).filter("#success").length;
			if(result) {
				IQ_AUTH_NoticeStrErr(block_out, 'success', this.responseText);
				
				if(document.getElementById('temp_redirect_url')) {
					const redirect_url = jQuery('#temp_redirect_url').val();
					window.location.href = redirect_url;
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#auth_already").length;
			if(result) {
				IQ_AUTH_NoticeStrErr(block_out, 'success', this.responseText);
				
				if(document.getElementById('temp_redirect_url')) {
					const redirect_url = jQuery('#temp_redirect_url').val();
					window.location.href = redirect_url;
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#lost_answer").length;
			if(result) {
				if(document.getElementById('lost_content')) {
					jQuery('#lost_content').html(this.responseText);
				} else {
					jQuery('#'+block_out).html(this.responseText);
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#captcha_block").length;
			if(result) {
				jQuery('#'+block_out).text('');
				jQuery('#'+block_captcha).html(this.responseText);
				IQ_AUTH_focusL(block_code);
				return true;
			}
		}
		IQ_AUTH_NoticeStrErr(block_out, 'err', this.responseText);
	}
	ajax.open("POST", iq_auth_front_unique.ajax_url, true);
	ajax.send(data);
}

function IQ_AUTH_RecoverDo(pop) {
	pop = pop === undefined ? 0 : pop;
	let pretag = '';
	if(pop) {
		pretag = 'pop_';
	}
	const block_form = pretag+'form_iq_recover';
	const block_out = pretag+'form_notice';
	const block_captcha = pretag+'form_captcha';
	const block_code = pretag+'iq_code';
	if(!document.getElementById(block_form)) {
		return false;
	}
	
	let data = new FormData();
	data.append('action', 'web_iq_auth_RecoverDo');
	
	let FormValues = [];
	let value;
	jQuery('#'+block_form).find('select, input, textarea').each(function(){
		FormValues.push(this.id);
		if(jQuery(this).attr('type') == 'checkbox') {
			value = jQuery(this).is(':checked');
		} else {
			value = jQuery(this).val();
		}
		data.append( this.id, value );
	});
	data.append('Values', FormValues);
	data.append('Pop', pop);
	
	IQ_AUTH_Loader(true);
	jQuery('#'+block_captcha).text('');
	const ajax = new XMLHttpRequest();
	ajax.onload = ajax.onerror = function() {
		IQ_AUTH_Loader(false);
		if(!document.getElementById(block_form)) {
			return;
		}
		const phtml = jQuery.parseHTML( this.responseText );
		if(this.status == 200) {
			let result = jQuery(phtml).filter("#success").length;
			if(result) {
				IQ_AUTH_NoticeStrErr(block_out, 'success', this.responseText);
				
				if(document.getElementById('temp_redirect_url')) {
					const redirect_url = jQuery('#temp_redirect_url').val();
					window.location.href = redirect_url;
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#auth_already").length;
			if(result) {
				IQ_AUTH_NoticeStrErr(block_out, 'success', this.responseText);
				
				if(document.getElementById('temp_redirect_url')) {
					const redirect_url = jQuery('#temp_redirect_url').val();
					window.location.href = redirect_url;
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#lost_answer").length;
			if(result) {
				if(document.getElementById('lost_content')) {
					jQuery('#lost_content').html(this.responseText);
				} else {
					jQuery('#'+block_out).html(this.responseText);
				}
				return true;
			}
			
			result = jQuery(phtml).filter("#captcha_block").length;
			if(result) {
				jQuery('#'+block_out).text('');
				jQuery('#'+block_captcha).html(this.responseText);
				IQ_AUTH_focusL(block_code);
				return true;
			}
		}
		IQ_AUTH_NoticeStrErr(block_out, 'err', this.responseText);
	}
	ajax.open("POST", iq_auth_front_unique.ajax_url, true);
	ajax.send(data);
}

function IQ_AUTH_LoginPage() {
	if(!document.getElementById('iq_auth_login_page')) {
		return false;
	}
	const iq_auth_login_page = jQuery('#iq_auth_login_page').val();
	IQ_AUTH_UpdateURL('/'+iq_auth_login_page);
	const block = 'content';
	if(!document.getElementById(block)) {
		location.reload();
		return false;
	}
	
	IQ_AUTH_Loader(1);
	jQuery.ajax({
		type: "POST",
		url: iq_auth_front_unique.ajax_url,
		data:{'action':'web_iq_auth_LoginPage'},
		success: function(data) {
			IQ_AUTH_Loader(0);
			if(!document.getElementById(block)) {
				return false;
			}
			jQuery('#'+block).html(data);
			IQ_AUTH_UpdateHeaders();
		}
	});
}

function IQ_AUTH_UpdateURL(full_url) {
	if(!full_url)	return;
    if (history.pushState) {
        history.pushState(null, null, full_url);
    }
}

function IQ_AUTH_UpdateHeaders() {
	const title_block = 'iq_auth_title';
	if(document.getElementById(title_block)) {
		const title_val = jQuery('#'+title_block).val();
		jQuery('#'+title_block).remove();
		document.title = title_val;
	}
}

function IQ_AUTH_OnlyNum(block) {
	const val = jQuery('#'+block).val();
	const val_new = val.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');
	jQuery('#'+block).val(val_new);
}

function IQ_AUTH_focusL(block, full) {
	if(!document.getElementById(block)) {
		return false;
	}
	full = full === undefined ? false : full;
	if(full) {
		if(jQuery(window).width()<= 800) { return; }
	}
	const input = document.getElementById(block);
	input.focus();
	input.selectionStart = input.value.length;	
}

function IQ_AUTH_ShowPass(block) {
	if(!document.getElementById(block)) {
		return false;
	}
	
	const type = jQuery("#"+block).prop("type");
	let show = false;
	if(type === 'password') {
		show = true;
	}
	
	if(show) {
		jQuery("#"+block).prop("type", "text");
	} else {
		jQuery("#"+block).prop("type", "password");
	}
	
	const block_icon = block+"_icon";
	if(document.getElementById(block_icon)) {
		if(show) {
			jQuery("#"+block_icon).html('<i class="icofont-eye"></i>');
		} else {
			jQuery("#"+block_icon).html('<i class="icofont-eye-blocked"></i>');
		}
	}
}

function IQ_AUTH_CustomFieldsLoad() {
	const block = 'regist_custom_fields';
	if(!document.getElementById(block)) {
		return false;
	}
	
	jQuery.ajax({
		type: "POST",
		url: iq_auth_front_unique.ajax_url,
		data:{'action':'web_iq_auth_CustomFieldsLoad'},
		success: function(data) {
			if(!document.getElementById(block)) {
				return false;
			}
			const el_temp = document.getElementById(block);
			el_temp.insertAdjacentHTML('afterEnd', data);
			el_temp.remove();
				
			jQuery('#'+block).hide();
			jQuery('#'+block).slideToggle(200);
		}
	});
}