<?php
if(!isset($_SERVER['HTTP_REFERER'])) { die(); }

$iPostItemID = 0;
if(isset($_POST['ItemID'])) {
	$iPostItemID = (int)sanitize_text_field($_POST['ItemID']);
}
if($iPostItemID <= 0) {
	die();
}

##################
##### ACCESS #####
##################
if ( !is_user_logged_in() ) {
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}

$cur_user_id = get_current_user_id();
if($cur_user_id <= 0) {
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}
$user_obj = get_userdata( $cur_user_id );

if(!$user_obj) {
	wp_logout();
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}
$roles_arr = (array)$user_obj->roles;

$need_role = 'administrator';
if(!in_array($need_role, $roles_arr)) {
	$szMsg = esc_html__('Access denied', 'registration-and-authorize');
	die($szMsg);
}

###############
##### POP #####
###############
$bPop = true;
if(isset($_POST['Pop'])) {
	$bPop = (int)sanitize_text_field($_POST['Pop']);
}
if($bPop) {
	$szPreTag = 'pop_';
} else {
	$szPreTag = '';
}

if(!isset($cIQAuthClass)) {
	require_once IQ_AUTH_CORE_DIR.'/includes/inc_auth.php';
	$cIQAuthClass = new IQAuthClass();
}

// get user info
$SQL_Search = "
	AND
		a.`uid` = '".$iPostItemID."'
";
$users = $cIQAuthClass->getUsers([], $SQL_Search, []);
$q = [];
if($users) {
	foreach($users AS $data) {
		$q = $data;
		break;
	}
}
if(!$q) {
	$szMsg = esc_html__('IQ user not found', 'registration-and-authorize');
	die($szMsg);
}
	
$FormVal = [
	'head' => esc_html__('Edit user', 'registration-and-authorize'),
	'button' => esc_html__('Save', 'registration-and-authorize'),
	'val_add_date' => date('Y-m-d', $q['date']),
	'val_add_time' => date('H:i', $q['date']),
];

$CArr = [
	'pop' => (int)$bPop,
	'item_id' => $iPostItemID,
];
$JsonData = json_encode($CArr);
$JsonDataP = func_iq_auth_in_protect($JsonData);
$SignData = func_iq_auth_get_sign_json_array_protect($JsonDataP);

$iMaxWidth = 700;
?>
<div id="pop">
	<input type="hidden" id="<?php echo esc_html($szPreTag . 'json_data'); ?>" value="<?php echo esc_html($JsonDataP); ?>">
	<input type="hidden" id="<?php echo esc_html($szPreTag . 'sign_data'); ?>" value="<?php echo esc_html($SignData); ?>">
	
	<div class="pop_overlay"></div>
	<div class="pop_modal pop_effect" id="pop_modal">
		<div class="pop_window">
			<div id="pop_pos" class="pop_pos">
				<div id="pop_window" class="pop_main" style="max-width:<?php echo esc_html($iMaxWidth); ?>px;">
					<div class="pop_head">
						<div class="pop_head_txt">
							<?php echo esc_html($FormVal['head']); ?>
						</div>	
						<button class="pop_close_button" onclick="PopClose();" data-content="<?php echo esc_html__('Close', 'registration-and-authorize'); ?>">
							<span class="dashicons dashicons-no"></span>
						</button>
					</div>
					<div id="pop_content" class="pop_body">
						<ul id="<?php echo esc_html($szPreTag . 'form_data_add'); ?>" class="pop_ul">
						
							<!-- custom fields -->
							<?php
							if(func_iq_auth_module_enable('custom_fields')) {
								include IQ_AUTH_CUSTOM_FIELDS_DIR.'/views/views_custom_field_user_edit.php';
							}
							?>
							
							<!-- date_add -->
							<li class="iq_auth_li">
								<div class="iq_auth_li_head">
									<?php echo esc_html__('Added', 'registration-and-authorize'); ?>
								</div>
								<div class="iq_auth_flexbox_tab iq_auth_flexbox_vc iq_auth_flex_gap">
									<input type="date" id="<?php echo esc_attr($szPreTag . 'add_date'); ?>" class="iq_auth_input iq_auth_input_default" placeholder="<?php echo $FormVal['val_add_date']; ?>" value="<?php echo $FormVal['val_add_date']; ?>">
									<input type="time" id="<?php echo esc_attr($szPreTag . 'add_time'); ?>" class="iq_auth_input iq_auth_input_default" placeholder="<?php echo $FormVal['val_add_time']; ?>" value="<?php echo $FormVal['val_add_time']; ?>">
								</div>
							</li>
							
							<!-- notice -->
							<li class="iq_auth_li">
								<div id="<?php echo esc_attr($szPreTag . 'notice_block_add'); ?>"></div>
							</li>
							
							<!-- buttons -->
							<li class="pop_li iq_auth_center">
								<button class="iq_auth_button_light_green iq_auth_button_margin" onclick="IQ_AUTH_UserEditDo(<?php echo $iPostItemID; ?>); return false;">
									<?php echo $FormVal['button']; ?>
								</button>
							</li>
						</ul>
						
						<!-- Copyright -->
						<div class="iq_auth_copyright_block">
							<?php
							$copyright_url = 'https://lumpx.com/wp-plugins';
							?>
							<a href="<?php echo esc_url($copyright_url); ?>" target="_blank" class="iq_auth_copyright_a">Developed by LumpX</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>