<?php
if(!isset($_SERVER['HTTP_REFERER'])) { die(); }

if(!isset($_POST['Values'])) {
	die();
}

if(!isset($_POST['JsonData']) ||
!isset($_POST['SignData'])) {
	die();
}

// Protect
$JsonProtect = sanitize_text_field($_POST['JsonData']);
$SignCheck = func_iq_auth_get_sign_json_array_protect($JsonProtect);
$szPostSign = sanitize_text_field($_POST['SignData']);
if($szPostSign != $SignCheck) { die(); }
$JsonVal = func_iq_auth_out_protect($JsonProtect);

########################
##### DATA PROTECT #####
########################
$CArr = json_decode($JsonVal, true);
if(empty($CArr)) {
	return false;
}

// item_id
if(!isset($CArr['item_id'])) {
	die();
}
$CArr['item_id'] = (int)$CArr['item_id'];
$iPostItemID = (int)$CArr['item_id'];

###############
##### POP #####
###############
if(!isset($CArr['pop'])) {
	die();
}
$CArr['pop'] = (int)$CArr['pop'];

if($CArr['pop']) {
	$szPreTag = 'pop_';
} else {
	$szPreTag = '';
}

##################
##### ACCESS #####
##################
if ( !is_user_logged_in() ) {
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}

$cur_user_id = get_current_user_id();
if($cur_user_id <= 0) {
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}
$user_obj = get_userdata( $cur_user_id );

if(!$user_obj) {
	wp_logout();
	$szMsg = esc_html__('Authorization required', 'registration-and-authorize');
	die($szMsg);
}
$roles_arr = (array)$user_obj->roles;

$need_role = 'administrator';
if(!in_array($need_role, $roles_arr)) {
	$szMsg = esc_html__('Access denied', 'registration-and-authorize');
	die($szMsg);
}


#######################
##### DATA VALUES #####
#######################
$DataValuesArr = array();
$DataJsonStrArr = array();
$PostValues = sanitize_text_field($_POST['Values']);
$Exp = explode(',', $PostValues);
$ArrayData = array();
for($i = 0; $i < count($Exp); $i++) {
	$TempParam = trim($Exp[$i]);
	if(empty($TempParam)) { continue; }
	$ArrayData[] = $TempParam;
}

/*
echo '<pre>';
print_r($ArrayData);
echo '</pre>';
die();
*/

if(empty($ArrayData)) {
	die();
}

if(!isset($cIQAuthClass)) {
	require_once IQ_AUTH_CORE_DIR.'/includes/inc_auth.php';
	$cIQAuthClass = new IQAuthClass();
}

// get user info
$SQL_Search = "
	AND
		a.`uid` = '".$iPostItemID."'
";
$users = $cIQAuthClass->getUsers([], $SQL_Search, []);
$q = [];
if($users) {
	foreach($users AS $data) {
		$q = $data;
		break;
	}
}
if(!$q) {
	$szMsg = esc_html__('IQ user not found', 'registration-and-authorize');
	die($szMsg);
}

// add_date
$Key = $szPreTag.'add_date';
if(!in_array($Key, $ArrayData) || empty(sanitize_text_field($_POST[$Key]))) {
	$szMsg = esc_html__('Select the date it was added', 'registration-and-authorize');
	die($szMsg);
}
$DataValuesArr['add_date'] = sanitize_text_field($_POST[$Key]);

// add_time
$Key = $szPreTag.'add_time';
if(!in_array($Key, $ArrayData) || empty(sanitize_text_field($_POST[$Key]))) {
	$szMsg = esc_html__('Select the time it was added', 'registration-and-authorize');
	die($szMsg);
}
$DataValuesArr['add_time'] = sanitize_text_field($_POST[$Key]);

$DataValuesArr['date_unix'] = strtotime(sanitize_text_field($DataValuesArr['add_date']).' '.sanitize_text_field($DataValuesArr['add_time']));

if($DataValuesArr['date_unix'] <= 0) {
	$szMsg = esc_html__('The date and time when it was added is incorrect', 'registration-and-authorize');
	die($szMsg);
}

if($DataValuesArr['date_unix'] > time()) {
	$szMsg = esc_html__('The date and time when it was added cannot be greater than the current time', 'registration-and-authorize');
	die($szMsg);
}

$cf_arr = json_decode($q['cf_json'], true);
if(func_iq_auth_module_enable('custom_fields')) {
	include IQ_AUTH_CUSTOM_FIELDS_DIR.'/views/views_custom_field_user_edit_do.php';
}

// update info
global $wpdb;
$sql = "
	UPDATE
		`{$wpdb->prefix}iq_auth_users`
	SET
		`cf_json` = '%s',
		`date` = %d
	WHERE
		`uid` = %d;
";
$index = $wpdb->query($wpdb->prepare($sql, 
							json_encode($cf_arr),
							$DataValuesArr['date_unix'],
							$iPostItemID)
					 ); 
?>
<div id="success">
	<?php echo sprintf(esc_html__('IQ user «%s» updated', 'registration-and-authorize'), $q['user_login']); ?>
</div>