<?php
if(!defined('ABSPATH')) {
	die();
}
?>
<div class="iq_auth_acenter">
	<input type="hidden" id="iq_auth_login_page" value="<?php echo esc_attr($login_page); ?>">
	<?php
		if(isset($iq_auth_settings_arr['regist_title'])) {
			$title = $iq_auth_settings_arr['regist_title'];
			?>
			
			<input type="hidden" id="iq_auth_title" value="<?php echo esc_attr($title); ?>">
			
			<?php
		}
	?>
	
	<div class="iq_auth_login_block">
	
		<!-- logo -->
		<?php
		if(isset($iq_auth_settings_arr['logo_enable']) && (int)$iq_auth_settings_arr['logo_enable']) {
			if(isset($iq_auth_settings_arr['logo']) && !empty($iq_auth_settings_arr['logo'])) {
				if(file_exists(IQ_AUTH_CORE_IMAGE_DIR.'/'.$iq_auth_settings_arr['logo'])) {
					$logo = IQ_AUTH_CORE_IMAGE_URL.'/'.$iq_auth_settings_arr['logo'];
					$width = 200;
					if(isset($iq_auth_settings_arr['logo_width']) && (int)$iq_auth_settings_arr['logo_width']) {
						$width = (int)$iq_auth_settings_arr['logo_width'];
					}
					?>
					<div class="iq_auth_login_head_logo">
						<img src="<?php echo esc_url($logo); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>" width="<?php echo esc_attr($width); ?>">
					</div>
					<?php
				}
			}
		}
		?>
		
		<div class="iq_auth_login_head_txt">
			<?php echo esc_html__('Registration', 'registration-and-authorize'); ?>
		</div>
		<form method="POST" onsubmit="IQ_AUTH_RegistDo(<?php echo esc_js($bPop); ?>);return false;">
			<ul id="<?php echo esc_attr($szPreTag . 'form_iq_regist'); ?>" class="iq_auth_ulcl">
			
				<!-- login -->
				<li class="iq_auth_li">
					<div class="iq_auth_form_label_line">
						<div class="iq_auth_form_dash_icon_block">
							<span class="icofont-brand-readernaut iq_auth_form_dash_icon"></span>
						</div>
						<div>
							<div class="iq_auth_form_label_txt">
								<?php echo esc_html__('Desired login', 'registration-and-authorize'); ?>
							</div>
							<input type="text" id="<?php echo esc_html($szPreTag . 'iq_login'); ?>" name="<?php echo esc_html($szPreTag . 'iq_login'); ?>" class="iq_auth_login_input iq_auth_login_input_default iq_auth_full_width_b" placeholder="<?php echo esc_html__('Login', 'registration-and-authorize'); ?>" maxlength="64" value="" autocomplete="off">
						</div>
					</div>
				</li>
				
				<!-- email -->
				<li class="iq_auth_li">
					<div class="iq_auth_form_label_line">
						<div class="iq_auth_form_dash_icon_block">
							<span class="icofont-ui-email iq_auth_form_dash_icon"></span>
						</div>
						<div>
							<div class="iq_auth_form_label_txt">
								<?php echo esc_html__('Mailbox', 'registration-and-authorize'); ?>
							</div>
							<input type="text" id="<?php echo esc_html($szPreTag . 'iq_email'); ?>" name="<?php echo esc_html($szPreTag . 'iq_email'); ?>" class="iq_auth_login_input iq_auth_login_input_default iq_auth_full_width_b" placeholder="email@example.com" maxlength="64" value="" autocomplete="off">
						</div>
					</div>
				</li>
			
				<!-- pass -->	
				<li class="iq_auth_li">
					<div class="iq_auth_form_label_line">
						<div class="iq_auth_form_dash_icon_block">
							<span class="icofont-ui-lock iq_auth_form_dash_icon"></span>
						</div>
						<div class="iq_auth_full_width_b">
							<div class="iq_auth_form_label_txt">
								<?php echo esc_html__('Desired password', 'registration-and-authorize'); ?>
							</div>
							
							<div class="iq_auth_pass_pass_block">
								<div class="iq_auth_full_width_b">
									<input type="password" id="<?php echo esc_html($szPreTag . 'iq_pass'); ?>" name="<?php echo esc_html($szPreTag . 'iq_pass'); ?>" class="iq_auth_login_input iq_auth_login_input_default iq_auth_full_width_b" placeholder="*******" maxlength="32" value="" autocomplete="off">
								</div>
								<div class="iq_auth_pass_eye_block">
									<a href="#" class="iq_auth_pass_eye_a" onclick="IQ_AUTH_ShowPass('<?php echo esc_html($szPreTag . 'iq_pass'); ?>');" title="<?php echo esc_html__('Show/Hide password', 'registration-and-authorize'); ?>">
										<span id="<?php echo esc_html($szPreTag . 'iq_pass_icon'); ?>">
											<i class="icofont-eye-blocked"></i>
										</span>
									</a>
								</div>
							</div>
						</div>
					</div>
				</li>
	
				<!-- repass -->
				<li class="iq_auth_li">
					<div class="iq_auth_form_label_line">
						<div class="iq_auth_form_dash_icon_block">
							<span class="icofont-ui-lock iq_auth_form_dash_icon"></span>
						</div>
						<div class="iq_auth_full_width_b">
							<div class="iq_auth_form_label_txt">
								<?php echo esc_html__('Password repeat', 'registration-and-authorize'); ?>
							</div>
							
							<div class="iq_auth_pass_pass_block">
								<div class="iq_auth_full_width_b">
									<input type="password" id="<?php echo esc_html($szPreTag . 'iq_repass'); ?>" name="<?php echo esc_html($szPreTag . 'iq_repass'); ?>" class="iq_auth_login_input iq_auth_login_input_default iq_auth_full_width_b" placeholder="*******" maxlength="32" value="" autocomplete="off">
								</div>
								<div class="iq_auth_pass_eye_block">
									<a href="#" class="iq_auth_pass_eye_a" onclick="IQ_AUTH_ShowPass('<?php echo esc_html($szPreTag . 'iq_repass'); ?>');" title="<?php echo esc_html__('Show/Hide password', 'registration-and-authorize'); ?>">
										<span id="<?php echo esc_html($szPreTag . 'iq_repass_icon'); ?>">
											<i class="icofont-eye-blocked"></i>
										</span>
									</a>
								</div>
							</div>
						</div>
					</div>
				</li>
				
				<?php
				if(func_iq_auth_module_enable('custom_fields')) {
					if(!$AjaxRequest) {
						include IQ_AUTH_CORE_DIR . '/data/custom_field/data_custom_field_regist_load.php';
					} else {
						?>
						<li id="<?php echo esc_attr($szPreTag .'regist_custom_fields'); ?>" class="iq_auth_li">
						</li>
						<?php
					}
				}
				?>
	
				
				<!-- notice -->
				<li class="iq_auth_li">
					<div id="<?php echo esc_html($szPreTag . 'form_notice'); ?>">
					
						<?php if($bErr) { ?>
							<?php if($bCapcha) { ?>
								<div id="captcha_block" class="iq_auth_align_center">
									<center>
										<script src="https://www.google.com/recaptcha/api.js" async defer></script>
										<div class="g-recaptcha" data-sitekey="<?php echo esc_attr($iq_auth_settings_arr['captcha_pub']); ?>"></div>
									</center>
								</div>
							<?php } else { ?>
								<div class="iq_auth_alert_block iq_auth_err">
									<?php echo esc_html($szErr); ?>
								</div>
							<?php } ?>
						<?php } ?>
						
					</div>
				</li>
				
				<!-- form_captcha -->
				<li class="iq_auth_li">
					<div id="<?php echo esc_html($szPreTag . 'form_captcha'); ?>">
					</div>
				</li>
				
				<!-- buttons -->
				<li class="iq_auth_li">
					<div class="iq_auth_login_btn_block">
						<button type="submit" class="iq_auth_login_btn iq_auth_f3 iq_auth_nowrap">
							<?php echo esc_html__('Register', 'registration-and-authorize'); ?>
						</button>
						<a href="<?php echo esc_url('/' . $login_page); ?>" class="iq_auth_login_btn iq_auth_f1 iq_auth_nowrap" onclick="IQ_AUTH_LoginPage();return false;">
							<?php echo esc_html__('Already have an account', 'registration-and-authorize'); ?>
						</a>
					</div>
				</li>
			</ul>
		</form>
	</div>
</div>