<?php
// Restrict
if(!defined('ABSPATH') || !defined('IQ_AUTH_CORE_DIR')) {
	die();
}

if(!isset($cIQAuthRedirects)) {
	require_once IQ_AUTH_CORE_DIR.'/includes/inc_redirects.php';
	$cIQAuthRedirects = new IQAuthRedirects();
}
$iq_redirects = $cIQAuthRedirects->get();

$number = 9999999;
$paged = 1;
if(isset($_GET['paged']) && (int)$_GET['paged']) {
    $paged = (int)$_GET['paged'];
} 

$offset = ($paged - 1) * $number;
$users = $cIQAuthRedirects->getList();
$total_users = count($users);
$args = [
    'offset' =>  $offset,
    'number' =>  $number,
];
$query = $cIQAuthRedirects->getList($args);
$total_users = count($users);
$total_query = count($query);
$total_pages = intval($total_users / $number) + 1;

$iCollumsCount = 0;
?>
<div class="iq_auth_core_block">
    <div class="iq_auth_list_block iq_auth_hided">
		<div class="iq_auth_flexbox_st iq_auth_flexbox_pos iq_auth_flexbox_yc iq_auth_flex_gap iq_auth_mb15">
			<h2 class="iq_auth_head_block">
				<?php echo esc_html__('Page redirection', 'registration-and-authorize'); ?>
			</h2>
			<div>
				<button class="iq_auth_button_light_blue" onclick="IQAuthRedirectsAdd(1, 0);return false;">
					<?php echo esc_html__('Create', 'registration-and-authorize'); ?>
				</button>
			</div>
		</div>
		
		<div class="iq_auth_alert_block iq_auth_info">
			<?php echo esc_html__('In this section, you can specify your redirects to the authorization and registration pages', 'registration-and-authorize'); ?>
		</div>
		<div id="notice_block"></div>
		
		<table class="iq_auth_tbl">
			<thead>
				<tr>
					<th scope="col">
						#
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Page', 'registration-and-authorize'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Redirect to', 'registration-and-authorize'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Status', 'registration-and-authorize'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Created', 'registration-and-authorize'); ?>
						<?php $iCollumsCount++ ?>
					</th>
					<th scope="col">
						<?php echo esc_html__('Action', 'registration-and-authorize'); ?>
						<?php $iCollumsCount++ ?>
					</th>
				</tr>
			</thead>
			<tbody>
					<?php
					if(!$query) {
						?>
						<tr>
							<td colspan="<?php echo esc_html($iCollumsCount); ?>">
								<?php
								if($paged <= 1) {
									?>
									<div class="iq_auth_nf_block">
										<div class="iq_auth_nf_icon">
											<i class="icofont-stylish-up"></i>
										</div>
										<div class="iq_auth_nf_head">
											<?php echo esc_html__('No redirects', 'registration-and-authorize'); ?>
										</div>
										<div class="iq_auth_nf_txt iq_auth_block_centered">
											<?php echo esc_html__('You haven`t added redirect pages yet', 'registration-and-authorize'); ?><br>
											<?php echo esc_html__('To add a new page click', 'registration-and-authorize'); ?> <a href="#" onclick="IQAuthRedirectsAdd(1, 0);return false;">«<?php echo esc_html__('Create', 'registration-and-authorize'); ?>»</a>
										</div>
									</div>
									<?php
								}
								?>
							</td>
						</tr>
						<?php
					} else {
						foreach($query AS $q) {
							include IQ_AUTH_CORE_DIR.'data/redirects/data_redirects_item_reload.php';
						}
					} ?>
			</tbody>
		</table>
		
		<!-- Copyright -->
		<div class="iq_auth_copyright_block">
			<?php
			$copyright_url = 'https://lumpx.com/wp-plugins';
			?>
			<a href="<?php echo esc_url($copyright_url); ?>" target="_blank" class="iq_auth_copyright_a">Developed by LumpX</a>
		</div>
	</div>
</div>